VLTEST(1)

NAME
vltest - test cases for QDBM Villa

SYNOPSIS

vltest write [-int] [-cz|-cy|-cx] [-tune lrecmax nidxmax lcnum ncnum] [-fbp num] name rnum
vltest read [-int] name
vltest rdup [-int] [-cz|-cy|-cx] [-cc] [-tune lrecmax nidxmax lcnum ncnum] [-fbp num] name rnum pnum
vltest combo [-cz|-cy|-cx] name
vltest wicked [-c] [-cz|-cy|-cx] name rnum

DESCRIPTION

The command `vltest' is a utility for facility test and performance test. Check a database generated by the command or measure the execution time of the command. This command is used in the following format. `name' specifies a database name. `rnum' specifies the number of the records.

vltest write [-int] [-cz|-cy|-cx] [-tune lrecmax nidxmax lcnum ncnum] [-fbp num] name rnum
    Store records with keys of 8 bytes. They change as `00000001', `00000002'...

vltest read [-int] [-vc] name
    Retrieve all records of the database above.

vltest rdup [-int] [-cz|-cy|-cx] [-cc] [-tune lrecmax nidxmax lcnum ncnum] [-fbp num] name rnum pnum
    Store records with partway duplicated keys using duplicate mode.

vltest combo [-cz|-cy|-cx] name
    Perform combination test of various operations.

vltest wicked [-c] [-cz|-cy|-cx] name rnum
    Perform updating operations selected at random.

Options feature the following.

    -int : treat keys and values as objects of `int', and use comparing function `VL_CMPINT'.
    -cz : compress leaves in the database with ZLIB.
    -cy : compress leaves in the database with LZO.
    -cx : compress leaves in the database with BZIP2.
    -vc : refer to volatile cache.
    -cc : select `VL_DCAT' or `VL_DDUP' at random.
    -tune lrecmax nidxmax lcnum ncnum : set tuning parameters.
    -fbp num : set the size of the free block pool.
    -c : perform comparison test with map of Cabin.

This command returns 0 on success, another on failure. The environment variable `QDBMDBGFD' specifies the file descriptor to output the history of updating the variable `dpecode'.

SEE ALSO

qdbm(3), villa(3)

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.